import {
  isSpecificationValid
} from "./chunk-XY5MZVO3.js";

// src/next/GET.tsx
import { getFrame } from "frames.js";
async function GET(request) {
  const searchParams = "nextUrl" in request ? request.nextUrl.searchParams : new URL(request.url).searchParams;
  const url = searchParams.get("url");
  const specification = searchParams.get("specification") ?? "farcaster";
  if (!url) {
    return Response.json({ message: "Invalid URL" }, { status: 400 });
  }
  if (!isSpecificationValid(specification)) {
    return Response.json({ message: "Invalid specification" }, { status: 400 });
  }
  try {
    const urlRes = await fetch(url);
    const htmlString = await urlRes.text();
    const result = getFrame({ htmlString, url, specification });
    return Response.json(result);
  } catch (err) {
    console.error(err);
    return Response.json({ message: err }, { status: 500 });
  }
}

export {
  GET
};
