import React, { ImgHTMLAttributes } from 'react';
import { C as FrameTheme, y as FrameState } from './types-i70kFnzS.js';
import 'frames.js';
import 'frames.js/frame-parsers';
import '@farcaster/core';

declare const defaultTheme: Required<FrameTheme>;
type FrameUIProps = {
    frameState: FrameState;
    theme?: FrameTheme;
    FrameImage?: React.FC<ImgHTMLAttributes<HTMLImageElement> & {
        src: string;
    }>;
    allowPartialFrame?: boolean;
    /**
     * This option works only with frames created by Frames.js and with debug enabled.
     *
     * @defaultValue false
     */
    enableImageDebugging?: boolean;
};
/** A UI component only, that should be easy for any app to integrate */
declare function FrameUI({ frameState, theme, FrameImage, allowPartialFrame, enableImageDebugging, }: FrameUIProps): React.JSX.Element | null;

export { FrameUI, type FrameUIProps, defaultTheme };
