"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/next/GET.tsx
var GET_exports = {};
__export(GET_exports, {
  GET: () => GET
});
module.exports = __toCommonJS(GET_exports);
var import_frames = require("frames.js");

// src/next/validators.ts
function isSpecificationValid(specification) {
  return typeof specification === "string" && ["farcaster", "openframes"].includes(specification);
}

// src/next/GET.tsx
async function GET(request) {
  const searchParams = "nextUrl" in request ? request.nextUrl.searchParams : new URL(request.url).searchParams;
  const url = searchParams.get("url");
  const specification = searchParams.get("specification") ?? "farcaster";
  if (!url) {
    return Response.json({ message: "Invalid URL" }, { status: 400 });
  }
  if (!isSpecificationValid(specification)) {
    return Response.json({ message: "Invalid specification" }, { status: 400 });
  }
  try {
    const urlRes = await fetch(url);
    const htmlString = await urlRes.text();
    const result = (0, import_frames.getFrame)({ htmlString, url, specification });
    return Response.json(result);
  } catch (err) {
    console.error(err);
    return Response.json({ message: err }, { status: 500 });
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  GET
});
